This package has been deprecated

    Author message:

    This package has been renamed to postrequire

    subrequire
    TypeScript icon, indicating that this package has built-in type declarations

    0.0.0 • Public • Published

    subrequire · npm version

    subrequire is a Node.js utility that can load a module multiple times, rerunning any initialization code contained in that module. The newly created module is discarded immediately, without being stored in the module cache or added to the children list of the parent module. If the new module calls require to require other modules, those modules will be loaded and cached normally, and any initialization code they contain will only run when the modules are required for the first time.

    var subrequire = require("subrequire");
    // Like `require("./my-module")`, except new module is not cached.
    var obj1 = subrequire("./my-module");
    // ...
    var obj2 = subrequire("./my-module"); // Rerunning initialization code.

    Install

    npm i subrequire

    DownloadsWeekly Downloads

    0

    Version

    0.0.0

    License

    ISC

    Unpacked Size

    4.44 kB

    Total Files

    5

    Last publish

    Collaborators

    • fasttime